package videoTool;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import video.VideoView;

public class VideoDynamicToolBar extends VideoToolBar {
	
	private static final long serialVersionUID = 1L;

	public VideoDynamicToolBar(VideoView vv) {
		super(vv);
		
		addEvents();
	}
	
//	adiciona os eventos nos botoes
	public void addEvents() {

		ButtonHandler bHandler = new ButtonHandler();

		rew.addActionListener(bHandler);
		rec.addActionListener(bHandler);
		go.addActionListener(bHandler);
		stop.addActionListener(bHandler);
		ff.addActionListener(bHandler);

	}
	
//	classe interna anonima para tratar eventos de ao dos botoes
	private class ButtonHandler implements ActionListener {
		public void actionPerformed(ActionEvent event) {

			if (((JButton)event.getSource()).getName() == "rew") {
				System.out.println("Rew");
				
				if (videoView.getEyeOptions().getFileOption() == 2)
					
					videoView.rew();
					
				else
					System.out.println("Abra um arquivo");

				return;
			}

			if (((JButton)event.getSource()).getName() == "rec") {
				System.out.println("Rec");

				if (videoView.getEyeOptions().getFileOption() == 2) {
					changeButtonRec();
					changeRec();
				}
				
				else
					System.out.println("Abra um arquivo");

				return;
			}

			if (((JButton)event.getSource()).getName() == "stopRec") {
				System.out.println("stopRec");
				
				if (videoView.getEyeOptions().getFileOption() == 2) {
					changeButtonRec();
					changeRec();
				}
				
				else
					System.out.println("Abra um arquivo");

				return;
			}

			if (((JButton)event.getSource()).getName() == "play") {
				System.out.println("play");
				
				if (videoView.getEyeOptions().getFileOption() == 2) {
					changeButtonGo();
					videoView.play(play, myToolBar);
				}
				else
					System.out.println("Abra um arquivo");


				//imageView.viewStatic();

				return;
			}
			
			if (((JButton)event.getSource()).getName() == "pause") {
				System.out.println("pause");
								
				if (videoView.getEyeOptions().getFileOption() == 2) {
					changeButtonGo();
					videoView.pause();
				}
				else
					System.out.println("Abra um arquivo");

				

				//imageView.viewStatic();

				return;
			}
			
			if (((JButton)event.getSource()).getName() == "stop") {
				System.out.println("stop");
				
				if (videoView.getEyeOptions().getFileOption() == 2) {
					String name = go.getName();

					if (name == "pause") {
						go.setIcon(play);
						go.setName("play");
						go.setToolTipText("pause");
					}

					videoView.stop();
					videoView.pause();
				}

				else
					System.out.println("Abra um arquivo");
			}
			
			if (((JButton)event.getSource()).getName() == "ff") {
				System.out.println("ff");

				if (videoView.getEyeOptions().getFileOption() == 2) {
					videoView.ff();
				}
				else
					System.out.println("Abra um arquivo");
			}


		}
	};

}

